Description

Redmine uses a global issue number allocation scheme for various reasons.

Other trackers such as Jira support a project specific prefix such as "PROJ-321".

While I'm not asking for issue numbers to be overlapping, supporting per-project issue alias strings will make it easier to identify the

project from a reference : commit logs, etc. without having to go to redmine each time.

So issue # 321 could be aliases as "PROJ-321", at least in the URL for external links, and displayed to the user as such on Wiki etc.

For tickets moved across projects, I suggest the old alias just warns the user but continues as the issue number should still be the

same.

History

#1 - 2014-04-04 20:24 - Ebrahim Mohammadi

This plugin might help: http://projects.andriylesyuk.com/project/redmine/issue-id

#2 - 2014-05-02 06:26 - Toshi MARUYAMA

- Category set to Issues

#3 - 2015-07-01 15:13 - Slawomir CALUCH

Actually ISSUE-ID worked perfectly for most of us until redmine 3.

The plugin doesn't replace the ID of the issue. It lets you specify an optional unique key for each project. It adds an this key and an additional project

issue id.

For example issue #**321** will become #PROJ-1 if it's the first issue in the current project ant if the issue key is PROJ.

But the issue is still accessible through its original ID.

If the project has no issue key the issues will not be aliassed.

It would be great if we had the same behaviour in stock redmine. The author of the plugin doesn't seem to be maintaining it anymore :(
